## AgsLv2TurtleParser

AgsLv2TurtleParser — The lv2 turtle parser class

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LV2_TURTLE_PARSER_GET_OBJ_MUTEX()
void | ags_lv2_turtle_parser_parse_names ()
void | ags_lv2_turtle_parser_parse ()
AgsLv2TurtleParser * | ags_lv2_turtle_parser_new ()

## Properties

gpointer | plugin | Read / Write
gpointer | preset | Read / Write
gpointer | turtle | Read / Write
gpointer | ui-plugin | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsLv2TurtleParser

## Includes

    #include <ags/plugin/ags_lv2_turtle_parser.h>

## Description

The AgsLv2TurtleParser parses RDF Turtle files.

## Functions

### AGS_LV2_TURTLE_PARSER_GET_OBJ_MUTEX()

    #define AGS_LV2_TURTLE_PARSER_GET_OBJ_MUTEX(obj) (&(((AgsLv2TurtleParser *) obj)->obj_mutex))

### ags_lv2_turtle_parser_parse_names ()

    void
    ags_lv2_turtle_parser_parse_names (AgsLv2TurtleParser *lv2_turtle_parser,
                                       AgsTurtle **turtle,
                                       guint n_turtle);

Parse names only from manifest and referred turtles.

#### Parameters

lv2_turtle_parser | the AgsLv2TurtleParser |
turtle | the `NULL` terminated array of AgsTurtle |
n_turtle | the turtle count |

Since: 3.0.0

### ags_lv2_turtle_parser_parse ()

    void
    ags_lv2_turtle_parser_parse (AgsLv2TurtleParser *lv2_turtle_parser,
                                 AgsTurtle **turtle,
                                 guint n_turtle);

Parse manifest and referred turtles.

#### Parameters

lv2_turtle_parser | the AgsLv2TurtleParser |
turtle | the `NULL` terminated array of AgsTurtle. | [element-type Ags.Turtle][array zero-terminated=1][inout]
n_turtle | the turtle count |

Since: 3.0.0

### ags_lv2_turtle_parser_new ()

    AgsLv2TurtleParser *
    ags_lv2_turtle_parser_new (AgsTurtle *manifest);

Creates an AgsLv2TurtleParser

#### Parameters

manifest | the manifest as AgsTurtle |

#### Returns

a new AgsLv2TurtleParser

Since: 3.0.0

## Property Details

### The `“plugin”` property

      “plugin”                   gpointer

The assigned GList containing AgsLv2Plugin.

[transfer full]

Owner: AgsLv2TurtleParser

Flags: Read / Write

Since: 3.0.0

### The `“preset”` property

      “preset”                   gpointer

The assigned GList containing AgsLv2Preset.

[transfer full]

Owner: AgsLv2TurtleParser

Flags: Read / Write

Since: 3.0.0

### The `“turtle”` property

      “turtle”                   gpointer

The assigned GList containing AgsTurtle.

[transfer full]

Owner: AgsLv2TurtleParser

Flags: Read / Write

Since: 3.0.0

### The `“ui-plugin”` property

      “ui-plugin”                gpointer

The parsed lv2 UI plugins.

Owner: AgsLv2TurtleParser

Flags: Read / Write